> For the complete documentation index, see [llms.txt](https://doc.youverify.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://doc.youverify.co/api-reference-sdk/api-reference/entity-management/verify-entity-kyb.md).

# Verify Entity (KYB)

This endpoint allows you to run a KYB check on an entity, this can only be a business.

<mark style="color:green;">`POST`</mark> `{{baseurl}}/v2/api/entities/company`

#### Headers

| Name                                    | Type   | Description      |
| --------------------------------------- | ------ | ---------------- |
| token<mark style="color:red;">\*</mark> | String | API secret token |

#### Parameter

| Field                                      | Type   | Description                     |
| ------------------------------------------ | ------ | ------------------------------- |
| entityId<mark style="color:red;">\*</mark> | String | Id of the entity being checked. |

#### Request Body

| Field                                              | Type    | Description                                                                                                                              |
| -------------------------------------------------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------- |
| entityType<mark style="color:red;">\*</mark>       | String  | <p>Type of entity being checked or verified.</p><p>Allowed values: <mark style="color:$danger;"><code>"business"</code></mark></p>       |
| isSubjectConsent<mark style="color:red;">\*</mark> | Boolean | <p>Consent of the individual or entity being verified.</p><p>Allowed values: <mark style="color:$danger;"><code>true</code></mark></p>   |
| checkType                                          | String  | Type of business check { basic, standard or premium }.                                                                                   |
| incorporationNumber                                | String  | Business registration number.                                                                                                            |
| incorporationCountry                               | String  | <p>Country code of business incorporation (ISO 3166-1 alpha-2).</p><p>Size range: <mark style="color:$danger;"><code>2</code></mark></p> |

{% tabs %}
{% tab title="Verify Entity Sample Request (Business)" %}

```json
{
  "entityType": "business",
  "isSubjectConsent": true,
  "incorporationNumber": "RC123456",
  "incorporationCountry": "NG",
  "checkType": "basic",
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Success Response (New Business)" %}

```json
{
  "success": true,
  "status_code": 201,
  "message": "Business check successful!",
  "data": {
    "id": "69dab502682626b4e9e6d77c",
        "entity": {
            "entityId": "ent_69dab0119abad240d91071a4",
            "isNew": true,
            "message": "Entity created successfully."
        },
        "businessCheck": {
            "id": "69dab502682626b4e9e6d77c",
            "status": "found",
            "businessId": "69b3c7f1556f687f7fb8a5bd",
            "parentId": null,
            "isConsent": true,
            "type": "basic_company_check",
            "searchTerm": "RC00000000",
            "name": "John Doe Inc",
            "registrationNumber": "RC00000000",
            "companyStatus": "ACTIVE",
            "requestedAt": "2026-04-11T20:54:27.818Z",
            "country": "Nigeria",
            "createdAt": "2022-11-03T14:16:54.235Z",
            "lastModifiedAt": "2022-11-03T14:16:54.235Z",
            "typeOfEntity": "PRIVATE COMPANY LIMITED BY SHARES",
            "registrationDate": "2017-06-09",
            "natureOfBusiness": null,
            "amlReport": null,
            "adverseMediaReport": null,
            "requestedBy": {
                "firstName": "Jamal",
                "lastName": "Akinyelu",
                "middleName": "",
                "id": "69b3c7f6556f687f7fb8a5c7"
            }
        }
      },
```

{% endtab %}

{% tab title="Success Response (Existing Business)" %}

```json
{
  "success": true,
  "status_code": 200,
  "message": "Business check successful!",
  "data": {
     "id": "ent_69dab0119abad240d91071a4",
        "entity": {
            "entityId": "ent_69dab0119abad240d91071a4",
            "isNew": false
        },
        "businessCheck": {
            "id": "69dab502682626b4e9e6d77c",
            "status": "found",
            "businessId": "69b3c7f1556f687f7fb8a5bd",
            "parentId": null,
            "isConsent": true,
            "type": "basic_company_check",
            "searchTerm": "RC00000000",
            "name": "John Doe Inc",
            "registrationNumber": "RC00000000",
            "companyStatus": "ACTIVE",
            "requestedAt": "2026-04-11T20:54:27.818Z",
            "country": "Nigeria",
            "createdAt": "2022-11-03T14:16:54.235Z",
            "lastModifiedAt": "2022-11-03T14:16:54.235Z",
            "typeOfEntity": "PRIVATE COMPANY LIMITED BY SHARES",
            "registrationDate": "2017-06-09",
            "natureOfBusiness": null,
            "amlReport": null,
            "adverseMediaReport": null,
            "requestedBy": {
                "firstName": "Jamal",
                "lastName": "Akinyelu",
                "middleName": "",
                "id": "69b3c7f6556f687f7fb8a5c7"
            }
        }
    },
  "links": []
}
```

{% endtab %}

{% tab title="Not Found" %}

```json
{
  "success": true,
  "status_code": 200,
  "message": "Business check successful!",
  "data": {
     "id": null,
        "entity": {},
        "businessCheck": {
            "id": "69dab502682626b4e9e6d77c",
            "status": "not_found",
            "businessId": "69b3c7f1556f687f7fb8a5bd",
            "parentId": null,
            "isConsent": true,
            "type": "basic_company_check",
            "searchTerm": "RC00000000",
            "name": "",
            "registrationNumber": "",
            "companyStatus": "",
            "requestedAt": "2026-04-11T20:54:27.818Z",
            "country": "Nigeria",
            "createdAt": "2022-11-03T14:16:54.235Z",
            "lastModifiedAt": "2022-11-03T14:16:54.235Z",
            "typeOfEntity": "",
            "registrationDate": "",
            "natureOfBusiness": null,
            "amlReport": null,
            "adverseMediaReport": null,
            "requestedBy": {
                "firstName": "Jamal",
                "lastName": "Akinyelu",
                "middleName": "",
                "id": "69b3c7f6556f687f7fb8a5c7"
            }
        }
    },
  "links": []
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Error Response" %}

```json
{
  "success": false,
  "statusCode": 404,
  "message": "You have attempted to get a resource that does not exist.",
  "name": "ResourceNotFoundError",
  "data": {}
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://doc.youverify.co/api-reference-sdk/api-reference/entity-management/verify-entity-kyb.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
